### Method

# Gtk.Snapshot.append_radial_gradient

#### Declaration [src]

    void
    gtk_snapshot_append_radial_gradient (
      GtkSnapshot* snapshot,
      const graphene_rect_t* bounds,
      const graphene_point_t* center,
      float hradius,
      float vradius,
      float start,
      float end,
      const GskColorStop* stops,
      gsize n_stops
    )

#### Description [src]

Appends a radial gradient node with the given stops to `snapshot`.

#### Parameters

`bounds` | `const graphene_rect_t*`
| the rectangle to render the readial gradient into
| Ownership is not transferred to the callee
`center` | `const graphene_point_t*`
| the center point for the radial gradient
| Ownership is not transferred to the callee
`hradius` | `float`
| the horizontal radius
`vradius` | `float`
| the vertical radius
`start` | `float`
| the start position (on the horizontal axis)
`end` | `float`
| the end position (on the horizontal axis)
`stops` | An array of `GskColorStop`
| a pointer to an array of `GskColorStop` defining the gradient
| The length of the array is in the `n_stops` argument
| Ownership is not transferred to the callee
`n_stops` | `gsize`
| the number of elements in `stops`